Skip to main content

Get payment method list

POST /papi/v1/ramp/connect/sell/payment-method-list

Request Body​

FieldTypeMandatoryRemarks
fiatCurrencystringYesfiat currency
cryptoCurrencystringYescrypto currency
totalAmountstringYesRequested amount
amountTypeintYesSpecify whether the total amount is in fiat:1 or crypto:2
languagestringNoLanguage code, which determines the multi-language of the content(if any, such as "payment method name") in the response data. If not passed, English is the default. The format is "LanguageCode-RegionCode", RegionCode is optional.

Response Body​

Data​
FieldTypeRemarks
paymentMethodsobject arrayPayment methods. Refer to PaymentMethodObject
PaymentMethodObject​
FieldTypeRemarks
payMethodCodestringpayment method code
payMethodSubCodestringpayment method sub code
paymentMethodstringpayment method display name
fiatMinLimitstringfiat min amount limit
fiatMaxLimitstringfiat max amount limit
cryptoMinLimitstringcrypto min amount limit
cryptoMaxLimitstringcrypto max amount limit
p2pboolIndicate whether the payment method belongs to Binance P2P

Example​

Request Parameters:

{
"fiatCurrency": "EUR",
"cryptoCurrency": "USDT",
"totalAmount": "100",
"amountType": 1,
"language": "zh-CN"
}

Response:

{
"success": true,
"code": "000000",
"message": "success",
"data": {
"paymentMethods": [
{
"payMethodCode": "SELL_WALLET",
"payMethodSubCode": "Wallet",
"paymentMethod": "Spot Wallet",
"fiatMinLimit": "15",
"fiatMaxLimit": "10000",
"cryptoMinLimit": "16.10699996",
"cryptoMaxLimit": "10737.99997363",
"p2p": false
},
{
"payMethodCode": "SELL_CARD",
"payMethodSubCode": "card",
"paymentMethod": "Card (VISA/Mastercard)",
"fiatMinLimit": "15",
"fiatMaxLimit": "5000",
"cryptoMinLimit": "16.10699996",
"cryptoMaxLimit": "5368.99998681",
"p2p": false
},
{
"payMethodCode": "SELL_GOOGLE_PAY",
"payMethodSubCode": "GOOGLE_PAY",
"paymentMethod": "Google Pay",
"fiatMinLimit": "15",
"fiatMaxLimit": "5000",
"cryptoMinLimit": "16.10699996",
"cryptoMaxLimit": "5368.99998681",
"p2p": false
},
{
"payMethodCode": "SELL_APPLE_PAY",
"payMethodSubCode": "APPLE_PAY",
"paymentMethod": "Apple Pay",
"fiatMinLimit": "15",
"fiatMaxLimit": "5000",
"cryptoMinLimit": "16.10699996",
"cryptoMaxLimit": "5368.99998681",
"p2p": false
},
{
"payMethodCode": "SELL_P2P",
"payMethodSubCode": "BANK",
"paymentMethod": "Bank Transfer",
"fiatMinLimit": "10",
"fiatMaxLimit": "1009",
"cryptoMinLimit": "0.8543",
"cryptoMaxLimit": "940.87",
"p2p": true
},
{
"payMethodCode": "SELL_P2P",
"payMethodSubCode": "Cash",
"paymentMethod": "Cash Payment",
"fiatMinLimit": "10",
"fiatMaxLimit": "1009",
"cryptoMinLimit": "0.8543",
"cryptoMaxLimit": "940.87",
"p2p": true
},
{
"payMethodCode": "SELL_P2P",
"payMethodSubCode": "ALIPAY",
"paymentMethod": "Alipay",
"fiatMinLimit": "10",
"fiatMaxLimit": "1009",
"cryptoMinLimit": "0.8543",
"cryptoMaxLimit": "940.87",
"p2p": true
},
{
"payMethodCode": "SELL_P2P",
"payMethodSubCode": "Paypal",
"paymentMethod": "PayPal",
"fiatMinLimit": "10",
"fiatMaxLimit": "1009",
"cryptoMinLimit": "0.8543",
"cryptoMaxLimit": "940.87",
"p2p": true
}
]
}
}
About payment method "SELL_WALLET"​

"SELL_WALLET" is a special payment method that allows users to sell crypto for fiat currency balances in their Binance wallets.

For example, in some countries or regions, Binance supports users to deposit and withdraw fiat currencies (such as euro - EUR) directly. At this time, users can sell crypto for EUR (in Binance wallet). We call this payment method as "SELL_WALLET".